Get Auth Sources

Get Auth Sources
Get all the available authentication sources in the system

Get all the available authentication sources in the system.
NOTE: This API works both for authenticated and un-authenticated access. In case of authenticated access (by providing the Authorization header) it will return more information including auth source properties. Please also note that while triggering the API through Swagger interface it will work in un-authenticated scenario (Swagger will not send the Authorization header).

Request
URI
GET
https://{api_host}/suite-api/api/auth/sources
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

The auth sources

Returns auth-sources of type(s) application/json
"{\n  \"sources\" : [ {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"VC\",\n      \"name\" : \"VC\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"OPEN_LDAP\",\n      \"name\" : \"OPEN_LDAP\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"ACTIVE_DIRECTORY\",\n      \"name\" : \"ACTIVE_DIRECTORY\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"OTHER\",\n      \"name\" : \"OTHER\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"LOCAL\",\n      \"name\" : \"LOCAL\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"SSO_SAML\",\n      \"name\" : \"SSO_SAML\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"VIDM\",\n      \"name\" : \"VIDM\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"VCD\",\n      \"name\" : \"VCD\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  }, {\n    \"id\" : \"3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"name\" : \"test-3d9b416e-3a6a-4f02-8ca1-fbea31480bc9\",\n    \"sourceType\" : {\n      \"id\" : \"VIDB\",\n      \"name\" : \"VIDB\",\n      \"description\" : \"xyzabcedefs\"\n    },\n    \"created\" : 0,\n    \"lastModified\" : 0,\n    \"property\" : [ ],\n    \"certificates\" : [ ]\n  } ]\n}"
array of object
sources
Optional

Collection of Authentication Sources configured in VMware Cloud Foundation Operations


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/auth/sources
                
Auth Operations
GET
Get Current User
GET
Get Assigned Role Permissions For Current User
GET
Get Current User Role Privileges
GET
Get Available Privilege Groups
GET
Get Available Privileges
GET
Get Roles
POST
Create User Role
PUT
Update User Role
DELETE
Delete User Role
GET
Get Role By Name
DELETE
Remove Role Privileges
GET
Get Role Privileges
POST
Add Role Privileges
PUT
Set Role Privileges
DELETE
Delete Scopes
GET
Get All Object Scopes
POST
Create Scope
PUT
Modify Scope
GET
Get Scope
GET
Get Auth Sources
PATCH
Patch Auth Source With Certificate Details
POST
Add Auth Source
PUT
Update Auth Source
PATCH
Patch Test Auth Source
POST
Test Auth Source
GET
Get VIDB Well Known URL
POST
Search User Groups For Auth Source
PUT
Synchronize User Groups
POST
Import Users
POST
Search Users For Auth Source
DELETE
Delete Auth Source
GET
Get Auth Source
GET
Get Auth Source Types
GET
Get Auth Source Type
POST
Acquire Token
POST
Exchange Ops Token With Jwt Token
POST
Release Token
GET
Get Traversal Specs
DELETE
Delete User Groups
GET
Get User Groups
POST
Create User Group
PUT
Modify User Group
GET
Get Assigned Role Permissions For User Group
PUT
Assign Role Permission To User Group
DELETE
Unassigned Role Permission From User Group
PUT
Assign Traversal Spec To User Group
Deprecated
DELETE
Delete User Group
GET
Get User Group
DELETE
Delete Users
GET
Get Users
POST
Create User
PUT
Modify User
PUT
Change Password
DELETE
Delete User
GET
Get User
GET
Get Assigned Role Permissions For User
PUT
Assign Role Permission To User
DELETE
Unassigned Role Permission From User
PUT
Assign Traversal Spec To User
Deprecated